config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

for conf in /opt/fgo/data/config/*.new ; do
  config ${conf}
done

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd etc ; rm -rf fgo )
( cd etc ; ln -sf /opt/fgo/data/config fgo )
( cd usr/bin ; rm -rf fgo )
( cd usr/bin ; ln -sf /opt/fgo/fgo fgo )
( cd usr/doc ; rm -rf fgo-1.5.5 )
( cd usr/doc ; ln -sf /opt/fgo/docs fgo-1.5.5 )
( cd usr/share/icons/hicolor/16x16/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/16x16/apps ; ln -sf /opt/fgo/share/icons/16x16/fgo.png fgo.png )
( cd usr/share/icons/hicolor/128x128/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/128x128/apps ; ln -sf /opt/fgo/share/icons/128x128/fgo.png fgo.png )
( cd usr/share/icons/hicolor/24x24/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/24x24/apps ; ln -sf /opt/fgo/share/icons/24x24/fgo.png fgo.png )
( cd usr/share/icons/hicolor/64x64/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/64x64/apps ; ln -sf /opt/fgo/share/icons/64x64/fgo.png fgo.png )
( cd usr/share/icons/hicolor/256x256/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/256x256/apps ; ln -sf /opt/fgo/share/icons/256x256/fgo.png fgo.png )
( cd usr/share/icons/hicolor/48x48/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/48x48/apps ; ln -sf /opt/fgo/share/icons/48x48/fgo.png fgo.png )
( cd usr/share/icons/hicolor/scalable/apps ; rm -rf fgo.svg )
( cd usr/share/icons/hicolor/scalable/apps ; ln -sf /opt/fgo/share/icons/scalable/fgo.svg fgo.svg )
( cd usr/share/icons/hicolor/32x32/apps ; rm -rf fgo.png )
( cd usr/share/icons/hicolor/32x32/apps ; ln -sf /opt/fgo/share/icons/32x32/fgo.png fgo.png )
( cd usr/share/applications ; rm -rf fgo.desktop )
( cd usr/share/applications ; ln -sf /opt/fgo/share/fgo.desktop fgo.desktop )
